function kernel = dilated(input, factor)
[hei, wid] = size(input) ;
pad = zeros(wid, factor - 1) ;
pad2 = zeros(factor - 1, factor*(hei-1)+1) ;
for i = 1 : wid -1
    input = [input(:,1:factor*(i-1)+1), pad, input(:,factor*(i-1)+2:end)] ;
end

for j = 1 : hei -1
    input = [input(1:factor*(j-1)+1,:); pad2; input(factor*(j-1)+2:end,:)] ;
end

kernel = input ;