function  output = proposed(LRMS, pan_downsampled, params)

    prompt = 'Please choose the type of implementation mode: \n(1).Matlab (2).MatCaffe \n 1 or 2?';
    result = input(prompt);
    disp('Please wait...');
    
    if result == 2                  % MatCaffe mode
        caffe.reset_all() ;
        if strcmp(params.device_mode, 'gpu')
            gpu_id = 0 ;
            caffe.set_mode_gpu();   % GPU mode
            caffe.set_device(gpu_id);
        elseif strcmp(params.device_mode, 'cpu')
            caffe.set_mode_cpu();   % CPU mode
        else
            disp('Wrong device mode!!!')
        end
        net = caffe.Net(params.model,params.weights,'test');
        tic ;
        output = net.forward({LRMS pan_downsampled});
        toc ;
        output = output{1} ;
    elseif result == 1               % Matlab mode
        model = 'x100k.mat' ;
        tic;
        output = fusion(model, LRMS, pan_downsampled) ;
        toc;
    else
        disp('Wrong runing mode!!!');
    end