Author: Fei Ye
Date: 5/12/2018
Version: 1.0

This is an implementation of ["Learning an efficient convolution neural network for pansharpening"]. Please refer to this paper for a more detailed description of the algorithm.

-------------------------------------------------------------------
 Implementation details
-------------------------------------------------------------------

[demo_reduced.m] is the testing demo of reduced scale experiment.
[demo_original.m] is the testing demo of original scale experiment.

We provide two types of implementation modes for this code, both of two modes require MATLAB, please make sure you have installed it.
Mode 1:
    This is the common mode to run this script, we deprecated to test with this mode, which is not accelerated by MatCaffe and GPU.
	To test test with this mode:
	
	>> run 'demo_reduced.m'   or    'demo_original.m'
	>> 1 (input with keyboard)

	
Mode 2:
    This mode is for the device compiled with MatCaffe. If your MatCaffe is configured with GPU, remain the 8th line of the two scripts; If your MatCaffe doesn't configure with GPU, change the 8th line of the two scripts as {params.device_mode = 'cpu'}.
	We considerably recommend you to perform with this mode, all the feed-forward computation time for evaluation results in the paper are tested with MatCaffe configured with GPU.
	To test test with this mode:
	
	>> run 'demo_reduced.m'   or    'demo_original.m'
	>> 2 (input with keyboard)
	
	
All the functions and scripts were tested on MATLAB 2014a, if you have any comment, suggestion, or question, please do contact Fei Ye at feiye.chn@gmail.com.